Ticket #1066 (accepted Task)

Opened 3 years ago

Last modified 3 years ago

Upgrade to Java 7

Reported by: jri Owned by: jri
Priority: Major Milestone: Release 4.9
Component: DeepaMehta Standard Distribution Version: 4.8.5
Keywords: Cc: dgf, Malte, JuergeN, robert.schuster
Complexity: 1 Area: Runtime Environment
Module: deepamehta-parent

Description

The 4.8.x line of the DM Standard Distribution compiles and runs with Java 6.
Also for plugin developers Java 6 is set as the default platform in the provided POM files.

For upcoming DM 4.9 the minimal requirement for DM will be Java 7.
Java 7 should be set as the default platform for plugin developers then.

Some background:
DM 4.9 will replace Neo4j by Datomic (#1065) which requires Java 7.

Change History

comment:1 Changed 3 years ago by jri

  • Status changed from new to accepted

comment:2 Changed 3 years ago by Jörg Richter <jri@…>

Note: See TracTickets for help on using tickets.